//========================================================================
//
// config.h
//
// Copyright 1996 Derek B. Noonburg
//
//========================================================================

#ifndef CONFIG_H
#define CONFIG_H

//------------------------------------------------------------------------
// general constants
//------------------------------------------------------------------------

// xpdf version
#define xpdfVersion "0.80"
#define apdfVersion "1.3"
#define apdfVerString "Apdf 1.3 (7.7.99)"

// supported PDF version
#define pdfVersion "1.2"
#define pdfVersionNum 1.2
// copyright notice
#define xpdfCopyright "Copyright \251 1996-1998 Derek B. Noonburg"

// default paper size (in points) for PostScript output
#ifdef A4_PAPER
#define defPaperWidth  595    // ISO A4 (210x297 mm)
#define defPaperHeight 842
#else
#define defPaperWidth  612    // American letter (8.5x11")
#define defPaperHeight 792
#endif

// config file name
#if defined(VMS) || defined(__EMX__)
#define xpdfConfigFile "xpdfrc"
#else
#define xpdfConfigFile ".xpdfrc"
#endif

//------------------------------------------------------------------------
// X-related constants
//------------------------------------------------------------------------

// default maximum size of color cube to allocate
#define defaultRGBCube 5

// number of fonts to cache
#define fontCacheSize 32

//------------------------------------------------------------------------
// uncompress program
//------------------------------------------------------------------------

extern const char *uncompressCmd;

//------------------------------------------------------------------------
// Win32 stuff
//------------------------------------------------------------------------

#ifdef WIN32
#ifdef CDECL
#undef CDECL
#endif
#define CDECL __cdecl
#else
#define CDECL
#endif

#endif
